Validate an external storage configuration
$ openai admin:organization:external-storage validate
POST
/organization/external_storage/{external_storage_id}/validateValidate one customer-managed external storage configuration.
Validate an external storage configuration
openai admin:organization:external-storage validate \
--admin-api-key 'My Admin API Key' \
--external-storage-id extstorage_123Response example
{
"object": "organization.external_storage",
"id": "extstorage_azure123",
"project_id": "proj_azure123",
"provider": {
"type": "azure",
"tenant_id": "11111111-1111-1111-1111-111111111111",
"subscription_id": "22222222-2222-2222-2222-222222222222",
"resource_group": "customer-rg",
"account_name": "customerstorage",
"container": "openai-data",
"region": "eastus"
},
"geography": "US",
"status": "validated",
"created_at": 1711471533
}
Returns Examples
Response example
{
"object": "organization.external_storage",
"id": "extstorage_azure123",
"project_id": "proj_azure123",
"provider": {
"type": "azure",
"tenant_id": "11111111-1111-1111-1111-111111111111",
"subscription_id": "22222222-2222-2222-2222-222222222222",
"resource_group": "customer-rg",
"account_name": "customerstorage",
"container": "openai-data",
"region": "eastus"
},
"geography": "US",
"status": "validated",
"created_at": 1711471533
}